# Class KeyStore.SecretKeyEntry

java.lang.Object
java.security.KeyStore.SecretKeyEntry

All Implemented Interfaces:
  `KeyStore.Entry`

Enclosing class:
  `KeyStore`

public static final class KeyStore.SecretKeyEntry extends Object implements KeyStore.Entry
A `KeyStore` entry that holds a `SecretKey`.

Since:
  1.5

## Nested Class Summary

### Nested classes/interfaces declared in interface KeyStore.Entry

`KeyStore.Entry.Attribute`
Modifier and Type
Interface
Description
`static interface`
`KeyStore.Entry.Attribute`
An attribute associated with a keystore entry.

## Constructor Summary

Constructors
Constructor
Description
`SecretKeyEntry(SecretKey secretKey)`
Constructs a `SecretKeyEntry` with a `SecretKey`.
`SecretKeyEntry(SecretKey secretKey, Set<KeyStore.Entry.Attribute> attributes)`
Constructs a `SecretKeyEntry` with a `SecretKey` and associated entry attributes.

## Method Summary

Modifier and Type
Method
Description
`Set<KeyStore.Entry.Attribute>`
`getAttributes()`
Retrieves the attributes associated with an entry.
`SecretKey`
`getSecretKey()`
Gets the `SecretKey` from this entry.
`String`
`toString()`
Returns a string representation of this SecretKeyEntry.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### SecretKeyEntry

public SecretKeyEntry(SecretKey secretKey)
Constructs a `SecretKeyEntry` with a `SecretKey`.

Parameters:
  `secretKey` - the `SecretKey`
Throws:
  `NullPointerException` - if `secretKey` is `null`

### SecretKeyEntry

public SecretKeyEntry(SecretKey secretKey, Set<KeyStore.Entry.Attribute> attributes)
Constructs a `SecretKeyEntry` with a `SecretKey` and associated entry attributes.

The specified `attributes` is cloned before it is stored in the new `SecretKeyEntry` object.

Parameters:
  `secretKey` - the `SecretKey`
  `attributes` - the attributes
Throws:
  `NullPointerException` - if `secretKey` or `attributes` is `null`
Since:
  1.8

## Method Details

### getSecretKey

public SecretKey getSecretKey()
Gets the `SecretKey` from this entry.

Returns:
  the `SecretKey` from this entry

### getAttributes

public Set<KeyStore.Entry.Attribute> getAttributes()
Retrieves the attributes associated with an entry.

Specified by:
  `getAttributes` in interface `KeyStore.Entry`
Returns:
  an unmodifiable `Set` of attributes, possibly empty
Since:
  1.8

### toString

public String toString()
Returns a string representation of this SecretKeyEntry.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of this SecretKeyEntry.